Compiling Qemu with GlusterFS Support on Ubuntu 14.04

On Ubuntu 14.04 (and maybe later) Qemu does not come with GlusterFS support. To compile it, you have to fetch the sources and enable flags. You also need to get the build dependencies, and some debian package tools. You can install the dependencies as follows: $ sudo apt-get install build-essential glusterfs-common devscripts dpkg-dev $ sudo apt-get build-dep qemu You also need to execute the following command, but it might be better to create a script file and execute it: PACKAGE="qemu" PACKAGEDIR="/home/mustafa/gfs/build/${PACKAGE}/" DEBFULLNAME="Mustafa Akin" DEBEMAIL="" PACKAGE_IDENTIFIER="identifier" DEBCOMMENT="with glusterfs support"

Continue reading →